diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/script-loader.php ./wordpress-3.3/wp-includes/script-loader.php
*** ./wordpress-3.2.1/wp-includes/script-loader.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/script-loader.php	2011-12-09 13:20:47.000000000 -0600
***************
*** 37,46 ****
  require( ABSPATH . WPINC . '/functions.wp-styles.php' );
  
  /**
!  * Set up WordPress scripts to load by default for Administration Screen.
   *
!  * Localizes a few of the scripts.
!  * $scripts->add_data( 'script-handle', 'group', 1 ); queues the script for the footer
   *
   * @since 2.6.0
   *
--- 37,47 ----
  require( ABSPATH . WPINC . '/functions.wp-styles.php' );
  
  /**
!  * Register all WordPress scripts.
   *
!  * Localizes some of them.
!  * args order: $scripts->add( 'handle', 'url', 'dependencies', 'query-string', 1 );
!  * when last arg === 1 queues the script for the footer
   *
   * @since 2.6.0
   *
***************
*** 58,83 ****
  
  	$suffix = defined('SCRIPT_DEBUG') && SCRIPT_DEBUG ? '.dev' : '';
  
- 	// Always ensure that we have the convertEntities function
- 	$scripts->add( 'l10n', "/wp-includes/js/l10n$suffix.js", false, '20101110' );
- 	$scripts->enqueue( 'l10n' );
- 
  	$scripts->add( 'utils', "/wp-admin/js/utils$suffix.js", false, '20101110' );
  
! 	$scripts->add( 'common', "/wp-admin/js/common$suffix.js", array('jquery', 'hoverIntent', 'utils'), '20110610' );
! 	$scripts->add_data( 'common', 'group', 1 );
  	$scripts->localize( 'common', 'commonL10n', array(
! 		'warnDelete' => __("You are about to permanently delete the selected items.\n  'Cancel' to stop, 'OK' to delete."),
! 		'l10n_print_after' => 'try{convertEntities(commonL10n);}catch(e){};'
  	) );
  
! 	$scripts->add( 'sack', "/wp-includes/js/tw-sack$suffix.js", false, '1.6.1' );
! 	$scripts->add_data( 'sack', 'group', 1 );
  
! 	$scripts->add( 'quicktags', "/wp-includes/js/quicktags$suffix.js", false, '20110502' );
! 	$scripts->add_data( 'quicktags', 'group', 1 );
  	$scripts->localize( 'quicktags', 'quicktagsL10n', array(
- 		'quickLinks' => __('(Quick Links)'),
  		'wordLookup' => __('Enter a word to look up:'),
  		'dictionaryLookup' => esc_attr(__('Dictionary lookup')),
  		'lookup' => esc_attr(__('lookup')),
--- 59,75 ----
  
  	$suffix = defined('SCRIPT_DEBUG') && SCRIPT_DEBUG ? '.dev' : '';
  
  	$scripts->add( 'utils', "/wp-admin/js/utils$suffix.js", false, '20101110' );
  
! 	$scripts->add( 'common', "/wp-admin/js/common$suffix.js", array('jquery', 'hoverIntent', 'utils'), '20111130', 1 );
  	$scripts->localize( 'common', 'commonL10n', array(
! 		'warnDelete' => __("You are about to permanently delete the selected items.\n  'Cancel' to stop, 'OK' to delete.")
  	) );
  
! 	$scripts->add( 'sack', "/wp-includes/js/tw-sack$suffix.js", false, '1.6.1', 1 );
  
! 	$scripts->add( 'quicktags', "/wp-includes/js/quicktags$suffix.js", false, '20111114', 1 );
  	$scripts->localize( 'quicktags', 'quicktagsL10n', array(
  		'wordLookup' => __('Enter a word to look up:'),
  		'dictionaryLookup' => esc_attr(__('Dictionary lookup')),
  		'lookup' => esc_attr(__('lookup')),
***************
*** 87,119 ****
  		'enterImageURL' => __('Enter the URL of the image'),
  		'enterImageDescription' => __('Enter a description of the image'),
  		'fullscreen' => __('fullscreen'),
! 		'toggleFullscreen' => esc_attr( __('Toggle fullscreen mode') ),
! 		'l10n_print_after' => 'try{convertEntities(quicktagsL10n);}catch(e){};'
  	) );
  
  	$scripts->add( 'colorpicker', "/wp-includes/js/colorpicker$suffix.js", array('prototype'), '3517m' );
  
! 	$scripts->add( 'editor', "/wp-admin/js/editor$suffix.js", array('utils','jquery'), '20110411' );
! 	$scripts->add_data( 'editor', 'group', 1 );
  
! 	$scripts->add( 'wp-fullscreen', "/wp-admin/js/wp-fullscreen$suffix.js", array('jquery'), '20110704' );
! 	$scripts->add_data( 'wp-fullscreen', 'group', 1 );
  
  	$scripts->add( 'prototype', '/wp-includes/js/prototype.js', false, '1.6.1');
  
! 	$scripts->add( 'wp-ajax-response', "/wp-includes/js/wp-ajax-response$suffix.js", array('jquery'), '20091119' );
! 	$scripts->add_data( 'wp-ajax-response', 'group', 1 );
  	$scripts->localize( 'wp-ajax-response', 'wpAjax', array(
  		'noPerm' => __('You do not have permission to do that.'),
! 		'broken' => __('An unidentified error has occurred.'),
! 		'l10n_print_after' => 'try{convertEntities(wpAjax);}catch(e){};'
  	) );
  
! 	$scripts->add( 'autosave', "/wp-includes/js/autosave$suffix.js", array('schedule', 'wp-ajax-response'), '20110524' );
! 	$scripts->add_data( 'autosave', 'group', 1 );
  
! 	$scripts->add( 'wp-lists', "/wp-includes/js/wp-lists$suffix.js", array('wp-ajax-response'), '20110521' );
! 	$scripts->add_data( 'wp-lists', 'group', 1 );
  
  	$scripts->add( 'scriptaculous-root', '/wp-includes/js/scriptaculous/wp-scriptaculous.js', array('prototype'), '1.8.3');
  	$scripts->add( 'scriptaculous-builder', '/wp-includes/js/scriptaculous/builder.js', array('scriptaculous-root'), '1.8.3');
--- 79,109 ----
  		'enterImageURL' => __('Enter the URL of the image'),
  		'enterImageDescription' => __('Enter a description of the image'),
  		'fullscreen' => __('fullscreen'),
! 		'toggleFullscreen' => esc_attr( __('Toggle fullscreen mode') )
  	) );
  
  	$scripts->add( 'colorpicker', "/wp-includes/js/colorpicker$suffix.js", array('prototype'), '3517m' );
  
! 	$scripts->add( 'editor', "/wp-admin/js/editor$suffix.js", array('utils','jquery'), '20111117', 1 );
  
! 	$scripts->add( 'wp-fullscreen', "/wp-admin/js/wp-fullscreen$suffix.js", array('jquery'), '20111116', 1 );
  
  	$scripts->add( 'prototype', '/wp-includes/js/prototype.js', false, '1.6.1');
  
! 	$scripts->add( 'wp-ajax-response', "/wp-includes/js/wp-ajax-response$suffix.js", array('jquery'), '20091119', 1 );
  	$scripts->localize( 'wp-ajax-response', 'wpAjax', array(
  		'noPerm' => __('You do not have permission to do that.'),
! 		'broken' => __('An unidentified error has occurred.')
! 	) );
! 
! 	$scripts->add( 'wp-pointer', "/wp-includes/js/wp-pointer$suffix.js", array( 'jquery-ui-widget', 'jquery-ui-position' ), '20111129a', 1 );
! 	$scripts->localize( 'wp-pointer', 'wpPointerL10n', array(
! 		'dismiss' => __('Dismiss'),
  	) );
  
! 	$scripts->add( 'autosave', "/wp-includes/js/autosave$suffix.js", array('schedule', 'wp-ajax-response'), '20111129', 1 );
  
! 	$scripts->add( 'wp-lists', "/wp-includes/js/wp-lists$suffix.js", array('wp-ajax-response'), '20110521', 1 );
  
  	$scripts->add( 'scriptaculous-root', '/wp-includes/js/scriptaculous/wp-scriptaculous.js', array('prototype'), '1.8.3');
  	$scripts->add( 'scriptaculous-builder', '/wp-includes/js/scriptaculous/builder.js', array('scriptaculous-root'), '1.8.3');
***************
*** 127,197 ****
  	// not used in core, replaced by Jcrop.js
  	$scripts->add( 'cropper', '/wp-includes/js/crop/cropper.js', array('scriptaculous-dragdrop'), '20070118');
  
! 	$scripts->add( 'jquery', '/wp-includes/js/jquery/jquery.js', false, '1.6.1');
! 
! 	$scripts->add( 'jquery-ui-core', '/wp-includes/js/jquery/ui.core.js', array('jquery'), '1.8.12' );
! 	$scripts->add_data( 'jquery-ui-core', 'group', 1 );
! 
! 	$scripts->add( 'jquery-ui-position', '/wp-includes/js/jquery/ui.position.js', array('jquery-ui-core'), '1.8.12' );
! 	$scripts->add_data( 'jquery-ui-position', 'group', 1 );
! 
! 	$scripts->add( 'jquery-ui-widget', '/wp-includes/js/jquery/ui.widget.js', array('jquery-ui-core'), '1.8.12' );
! 	$scripts->add_data( 'jquery-ui-widget', 'group', 1 );
! 
! 	$scripts->add( 'jquery-ui-mouse', '/wp-includes/js/jquery/ui.mouse.js', array('jquery-ui-widget'), '1.8.12' );
! 	$scripts->add_data( 'jquery-ui-mouse', 'group', 1 );
! 
! 	$scripts->add( 'jquery-ui-button', '/wp-includes/js/jquery/ui.button.js', array('jquery-ui-core', 'jquery-ui-widget'), '1.8.12' );
! 	$scripts->add_data( 'jquery-ui-button', 'group', 1 );
! 
! 	$scripts->add( 'jquery-ui-tabs', '/wp-includes/js/jquery/ui.tabs.js', array('jquery-ui-core', 'jquery-ui-widget'), '1.8.12' );
! 	$scripts->add_data( 'jquery-ui-tabs', 'group', 1 );
! 
! 	$scripts->add( 'jquery-ui-sortable', '/wp-includes/js/jquery/ui.sortable.js', array('jquery-ui-core', 'jquery-ui-mouse'), '1.8.12' );
! 	$scripts->add_data( 'jquery-ui-sortable', 'group', 1 );
! 
! 	$scripts->add( 'jquery-ui-draggable', '/wp-includes/js/jquery/ui.draggable.js', array('jquery-ui-core', 'jquery-ui-mouse'), '1.8.12' );
! 	$scripts->add_data( 'jquery-ui-draggable', 'group', 1 );
  
! 	$scripts->add( 'jquery-ui-droppable', '/wp-includes/js/jquery/ui.droppable.js', array('jquery-ui-core', 'jquery-ui-mouse', 'jquery-ui-draggable'), '1.8.12' );
! 	$scripts->add_data( 'jquery-ui-droppable', 'group', 1 );
! 
! 	$scripts->add( 'jquery-ui-selectable', '/wp-includes/js/jquery/ui.selectable.js', array('jquery-ui-core', 'jquery-ui-mouse'), '1.8.12' );
! 	$scripts->add_data( 'jquery-ui-selectable', 'group', 1 );
! 
! 	$scripts->add( 'jquery-ui-resizable', '/wp-includes/js/jquery/ui.resizable.js', array('jquery-ui-core', 'jquery-ui-mouse'), '1.8.12' );
! 	$scripts->add_data( 'jquery-ui-resizable', 'group', 1 );
! 
! 	$scripts->add( 'jquery-ui-dialog', '/wp-includes/js/jquery/ui.dialog.js', array('jquery-ui-resizable', 'jquery-ui-draggable', 'jquery-ui-button', 'jquery-ui-position'), '1.8.12' );
! 	$scripts->add_data( 'jquery-ui-dialog', 'group', 1 );
  
  	// deprecated, not used in core, most functionality is included in jQuery 1.3
! 	$scripts->add( 'jquery-form', "/wp-includes/js/jquery/jquery.form$suffix.js", array('jquery'), '2.73');
! 	$scripts->add_data( 'jquery-form', 'group', 1 );
! 
! 	$scripts->add( 'jquery-color', "/wp-includes/js/jquery/jquery.color$suffix.js", array('jquery'), '2.0-4561m');
! 	$scripts->add_data( 'jquery-color', 'group', 1 );
! 
! 	$scripts->add( 'suggest', "/wp-includes/js/jquery/suggest$suffix.js", array('jquery'), '1.1-20110113');
! 	$scripts->add_data( 'suggest', 'group', 1 );
  
! 	$scripts->add( 'schedule', '/wp-includes/js/jquery/jquery.schedule.js', array('jquery'), '20m');
! 	$scripts->add_data( 'schedule', 'group', 1 );
  
! 	$scripts->add( 'jquery-query', "/wp-includes/js/jquery/jquery.query.js", array('jquery'), '2.1.7' );
! 	$scripts->add_data( 'jquery-query', 'group', 1 );
! 
! 	$scripts->add( 'jquery-serialize-object', "/wp-includes/js/jquery/jquery.serialize-object.js", array('jquery'), '0.2' );
! 	$scripts->add_data( 'jquery-serialize-object', 'group', 1 );
! 
! 	$scripts->add( 'jquery-hotkeys', "/wp-includes/js/jquery/jquery.hotkeys$suffix.js", array('jquery'), '0.0.2m' );
! 	$scripts->add_data( 'jquery-hotkeys', 'group', 1 );
! 
! 	$scripts->add( 'jquery-table-hotkeys', "/wp-includes/js/jquery/jquery.table-hotkeys$suffix.js", array('jquery', 'jquery-hotkeys'), '20090102' );
! 	$scripts->add_data( 'jquery-table-hotkeys', 'group', 1 );
! 
! 	$scripts->add( 'thickbox', "/wp-includes/js/thickbox/thickbox.js", array('jquery'), '3.1-20110528');
! 	$scripts->add_data( 'thickbox', 'group', 1 );
  	$scripts->localize( 'thickbox', 'thickboxL10n', array(
  			'next' => __('Next &gt;'),
  			'prev' => __('&lt; Prev'),
--- 117,171 ----
  	// not used in core, replaced by Jcrop.js
  	$scripts->add( 'cropper', '/wp-includes/js/crop/cropper.js', array('scriptaculous-dragdrop'), '20070118');
  
! 	$scripts->add( 'jquery', '/wp-includes/js/jquery/jquery.js', false, '1.7.1' );
  
! 	// full jQuery UI
! 	$scripts->add( 'jquery-ui-core', '/wp-includes/js/jquery/ui/jquery.ui.core.min.js', array('jquery'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-effects-core', '/wp-includes/js/jquery/ui/jquery.effects.core.min.js', array('jquery'), '1.8.16', 1 );
! 
! 	$scripts->add( 'jquery-effects-blind', '/wp-includes/js/jquery/ui/jquery.effects.blind.min.js', array('jquery-effects-core'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-effects-bounce', '/wp-includes/js/jquery/ui/jquery.effects.bounce.min.js', array('jquery-effects-core'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-effects-clip', '/wp-includes/js/jquery/ui/jquery.effects.clip.min.js', array('jquery-effects-core'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-effects-drop', '/wp-includes/js/jquery/ui/jquery.effects.drop.min.js', array('jquery-effects-core'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-effects-explode', '/wp-includes/js/jquery/ui/jquery.effects.explode.min.js', array('jquery-effects-core'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-effects-fade', '/wp-includes/js/jquery/ui/jquery.effects.fade.min.js', array('jquery-effects-core'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-effects-fold', '/wp-includes/js/jquery/ui/jquery.effects.fold.min.js', array('jquery-effects-core'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-effects-highlight', '/wp-includes/js/jquery/ui/jquery.effects.highlight.min.js', array('jquery-effects-core'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-effects-pulsate', '/wp-includes/js/jquery/ui/jquery.effects.pulsate.min.js', array('jquery-effects-core'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-effects-scale', '/wp-includes/js/jquery/ui/jquery.effects.scale.min.js', array('jquery-effects-core'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-effects-shake', '/wp-includes/js/jquery/ui/jquery.effects.shake.min.js', array('jquery-effects-core'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-effects-slide', '/wp-includes/js/jquery/ui/jquery.effects.slide.min.js', array('jquery-effects-core'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-effects-transfer', '/wp-includes/js/jquery/ui/jquery.effects.transfer.min.js', array('jquery-effects-core'), '1.8.16', 1 );
! 
! 	$scripts->add( 'jquery-ui-accordion', '/wp-includes/js/jquery/ui/jquery.ui.accordion.min.js', array('jquery-ui-core', 'jquery-ui-widget'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-ui-autocomplete', '/wp-includes/js/jquery/ui/jquery.ui.autocomplete.min.js', array('jquery-ui-core', 'jquery-ui-widget', 'jquery-ui-position'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-ui-button', '/wp-includes/js/jquery/ui/jquery.ui.button.min.js', array('jquery-ui-core', 'jquery-ui-widget'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-ui-datepicker', '/wp-includes/js/jquery/ui/jquery.ui.datepicker.min.js', array('jquery-ui-core'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-ui-dialog', '/wp-includes/js/jquery/ui/jquery.ui.dialog.min.js', array('jquery-ui-resizable', 'jquery-ui-draggable', 'jquery-ui-button', 'jquery-ui-position'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-ui-draggable', '/wp-includes/js/jquery/ui/jquery.ui.draggable.min.js', array('jquery-ui-core', 'jquery-ui-mouse'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-ui-droppable', '/wp-includes/js/jquery/ui/jquery.ui.droppable.min.js', array('jquery-ui-draggable'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-ui-mouse', '/wp-includes/js/jquery/ui/jquery.ui.mouse.min.js', array('jquery-ui-widget'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-ui-position', '/wp-includes/js/jquery/ui/jquery.ui.position.min.js', array('jquery'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-ui-progressbar', '/wp-includes/js/jquery/ui/jquery.ui.progressbar.min.js', array('jquery-ui-widget'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-ui-resizable', '/wp-includes/js/jquery/ui/jquery.ui.resizable.min.js', array('jquery-ui-core', 'jquery-ui-mouse'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-ui-selectable', '/wp-includes/js/jquery/ui/jquery.ui.selectable.min.js', array('jquery-ui-core', 'jquery-ui-mouse'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-ui-slider', '/wp-includes/js/jquery/ui/jquery.ui.slider.min.js', array('jquery-ui-core', 'jquery-ui-mouse'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-ui-sortable', '/wp-includes/js/jquery/ui/jquery.ui.sortable.min.js', array('jquery-ui-core', 'jquery-ui-mouse'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-ui-tabs', '/wp-includes/js/jquery/ui/jquery.ui.tabs.min.js', array('jquery-ui-core', 'jquery-ui-widget'), '1.8.16', 1 );
! 	$scripts->add( 'jquery-ui-widget', '/wp-includes/js/jquery/ui/jquery.ui.widget.min.js', array('jquery'), '1.8.16', 1 );
  
  	// deprecated, not used in core, most functionality is included in jQuery 1.3
! 	$scripts->add( 'jquery-form', "/wp-includes/js/jquery/jquery.form$suffix.js", array('jquery'), '2.73', 1 );
  
! 	$scripts->add( 'jquery-color', "/wp-includes/js/jquery/jquery.color$suffix.js", array('jquery'), '2.0-4561m', 1 );
! 	$scripts->add( 'suggest', "/wp-includes/js/jquery/suggest$suffix.js", array('jquery'), '1.1-20110113', 1 );
! 	$scripts->add( 'schedule', '/wp-includes/js/jquery/jquery.schedule.js', array('jquery'), '20m', 1 );
! 	$scripts->add( 'jquery-query', "/wp-includes/js/jquery/jquery.query.js", array('jquery'), '2.1.7', 1 );
! 	$scripts->add( 'jquery-serialize-object', "/wp-includes/js/jquery/jquery.serialize-object.js", array('jquery'), '0.2', 1 );
! 	$scripts->add( 'jquery-hotkeys', "/wp-includes/js/jquery/jquery.hotkeys$suffix.js", array('jquery'), '0.0.2m', 1 );
! 	$scripts->add( 'jquery-table-hotkeys', "/wp-includes/js/jquery/jquery.table-hotkeys$suffix.js", array('jquery', 'jquery-hotkeys'), '20090102', 1 );
  
! 	$scripts->add( 'thickbox', "/wp-includes/js/thickbox/thickbox.js", array('jquery'), '3.1-20111117', 1 );
  	$scripts->localize( 'thickbox', 'thickboxL10n', array(
  			'next' => __('Next &gt;'),
  			'prev' => __('&lt; Prev'),
***************
*** 200,213 ****
  			'close' => __('Close'),
  			'noiframes' => __('This feature requires inline frames. You have iframes disabled or your browser does not support them.'),
  			'loadingAnimation' => includes_url('js/thickbox/loadingAnimation.gif'),
! 			'closeImage' => includes_url('js/thickbox/tb-close.png'),
! 			'l10n_print_after' => 'try{convertEntities(thickboxL10n);}catch(e){};'
  	) );
  
  	$scripts->add( 'jcrop', "/wp-includes/js/jcrop/jquery.Jcrop$suffix.js", array('jquery'), '0.9.8-20110113');
  
  	$scripts->add( 'swfobject', "/wp-includes/js/swfobject.js", false, '2.2');
  
  	$scripts->add( 'swfupload', '/wp-includes/js/swfupload/swfupload.js', false, '2201-20110113');
  	$scripts->add( 'swfupload-swfobject', '/wp-includes/js/swfupload/plugins/swfupload.swfobject.js', array('swfupload', 'swfobject'), '2201a');
  	$scripts->add( 'swfupload-queue', '/wp-includes/js/swfupload/plugins/swfupload.queue.js', array('swfupload'), '2201');
--- 174,231 ----
  			'close' => __('Close'),
  			'noiframes' => __('This feature requires inline frames. You have iframes disabled or your browser does not support them.'),
  			'loadingAnimation' => includes_url('js/thickbox/loadingAnimation.gif'),
! 			'closeImage' => includes_url('js/thickbox/tb-close.png')
  	) );
  
  	$scripts->add( 'jcrop', "/wp-includes/js/jcrop/jquery.Jcrop$suffix.js", array('jquery'), '0.9.8-20110113');
  
  	$scripts->add( 'swfobject', "/wp-includes/js/swfobject.js", false, '2.2');
  
+ 	// common bits for both uploaders
+ 	$max_upload_size = ( (int) ( $max_up = @ini_get('upload_max_filesize') ) < (int) ( $max_post = @ini_get('post_max_size') ) ) ? $max_up : $max_post;
+ 
+ 	if ( empty($max_upload_size) )
+ 		$max_upload_size = __('not configured');
+ 
+ 	// error message for both plupload and swfupload
+ 	$uploader_l10n = array(
+ 		'queue_limit_exceeded' => __('You have attempted to queue too many files.'),
+ 		'file_exceeds_size_limit' => __('%s exceeds the maximum upload size for this site.'),
+ 		'zero_byte_file' => __('This file is empty. Please try another.'),
+ 		'invalid_filetype' => __('This file type is not allowed. Please try another.'),
+ 		'not_an_image' => __('This file is not an image. Please try another.'),
+ 		'image_memory_exceeded' => __('Memory exceeded. Please try another smaller file.'),
+ 		'image_dimensions_exceeded' => __('This is larger than the maximum size. Please try another.'),
+ 		'default_error' => __('An error occurred in the upload. Please try again later.'),
+ 		'missing_upload_url' => __('There was a configuration error. Please contact the server administrator.'),
+ 		'upload_limit_exceeded' => __('You may only upload 1 file.'),
+ 		'http_error' => __('HTTP error.'),
+ 		'upload_failed' => __('Upload failed.'),
+ 		'big_upload_failed' => __('Please try uploading this file with the %1$sbrowser uploader%2$s.'),
+ 		'big_upload_queued' => __('%s exceeds the maximum upload size for the multi-file uploader when used in your browser.'),
+ 		'io_error' => __('IO error.'),
+ 		'security_error' => __('Security error.'),
+ 		'file_cancelled' => __('File canceled.'),
+ 		'upload_stopped' => __('Upload stopped.'),
+ 		'dismiss' => __('Dismiss'),
+ 		'crunching' => __('Crunching&hellip;'),
+ 		'deleted' => __('moved to the trash.'),
+ 		'error_uploading' => __('&#8220;%s&#8221; has failed to upload.')
+ 	);
+ 
+ 	$scripts->add( 'plupload', '/wp-includes/js/plupload/plupload.js', false, '1511-20111112');
+ 	$scripts->add( 'plupload-html5', '/wp-includes/js/plupload/plupload.html5.js', array('plupload'), '1511-20111112');
+ 	$scripts->add( 'plupload-flash', '/wp-includes/js/plupload/plupload.flash.js', array('plupload'), '1511-20111112');
+ 	$scripts->add( 'plupload-silverlight', '/wp-includes/js/plupload/plupload.silverlight.js', array('plupload'), '1511-20111112');
+ 	$scripts->add( 'plupload-html4', '/wp-includes/js/plupload/plupload.html4.js', array('plupload'), '1511-20111112');
+ 
+ 	// cannot use the plupload.full.js, as it loads browserplus init JS from Yahoo
+ 	$scripts->add( 'plupload-all', false, array('plupload', 'plupload-html5', 'plupload-flash', 'plupload-silverlight', 'plupload-html4'), '1511-20111112');
+ 
+ 	$scripts->add( 'plupload-handlers', "/wp-includes/js/plupload/handlers$suffix.js", array('plupload-all', 'jquery'), '20111120');
+ 	$scripts->localize( 'plupload-handlers', 'pluploadL10n', $uploader_l10n );
+ 
+ 	// keep 'swfupload' for back-compat.
  	$scripts->add( 'swfupload', '/wp-includes/js/swfupload/swfupload.js', false, '2201-20110113');
  	$scripts->add( 'swfupload-swfobject', '/wp-includes/js/swfupload/plugins/swfupload.swfobject.js', array('swfupload', 'swfobject'), '2201a');
  	$scripts->add( 'swfupload-queue', '/wp-includes/js/swfupload/plugins/swfupload.queue.js', array('swfupload'), '2201');
***************
*** 221,260 ****
  	}
  
  	$scripts->add( 'swfupload-handlers', "/wp-includes/js/swfupload/handlers$suffix.js", array('swfupload-all', 'jquery'), '2201-20110524');
! 	$max_upload_size = ( (int) ( $max_up = @ini_get('upload_max_filesize') ) < (int) ( $max_post = @ini_get('post_max_size') ) ) ? $max_up : $max_post;
! 	if ( empty($max_upload_size) )
! 		$max_upload_size = __('not configured');
! 	// these error messages came from the sample swfupload js, they might need changing.
! 	$scripts->localize( 'swfupload-handlers', 'swfuploadL10n', array(
! 			'queue_limit_exceeded' => __('You have attempted to queue too many files.'),
! 			'file_exceeds_size_limit' => __('This file exceeds the maximum upload size for this site.'),
! 			'zero_byte_file' => __('This file is empty. Please try another.'),
! 			'invalid_filetype' => __('This file type is not allowed. Please try another.'),
! 			'default_error' => __('An error occurred in the upload. Please try again later.'),
! 			'missing_upload_url' => __('There was a configuration error. Please contact the server administrator.'),
! 			'upload_limit_exceeded' => __('You may only upload 1 file.'),
! 			'http_error' => __('HTTP error.'),
! 			'upload_failed' => __('Upload failed.'),
! 			'io_error' => __('IO error.'),
! 			'security_error' => __('Security error.'),
! 			'file_cancelled' => __('File canceled.'),
! 			'upload_stopped' => __('Upload stopped.'),
! 			'dismiss' => __('Dismiss'),
! 			'crunching' => __('Crunching&hellip;'),
! 			'deleted' => __('moved to the trash.'),
! 			'error_uploading' => __('&#8220;%s&#8221; has failed to upload due to an error'),
! 			'l10n_print_after' => 'try{convertEntities(swfuploadL10n);}catch(e){};',
! 	) );
  
  	$scripts->add( 'comment-reply', "/wp-includes/js/comment-reply$suffix.js", false, '20090102');
  
  	$scripts->add( 'json2', "/wp-includes/js/json2$suffix.js", false, '2011-02-23');
  
! 	$scripts->add( 'imgareaselect', "/wp-includes/js/imgareaselect/jquery.imgareaselect$suffix.js", array('jquery'), '0.9.6-20110515' );
! 	$scripts->add_data( 'imgareaselect', 'group', 1 );
  
! 	$scripts->add( 'password-strength-meter', "/wp-admin/js/password-strength-meter$suffix.js", array('jquery'), '20101027' );
! 	$scripts->add_data( 'password-strength-meter', 'group', 1 );
  	$scripts->localize( 'password-strength-meter', 'pwsL10n', array(
  		'empty' => __('Strength indicator'),
  		'short' => __('Very weak'),
--- 239,253 ----
  	}
  
  	$scripts->add( 'swfupload-handlers', "/wp-includes/js/swfupload/handlers$suffix.js", array('swfupload-all', 'jquery'), '2201-20110524');
! 	$scripts->localize( 'swfupload-handlers', 'swfuploadL10n', $uploader_l10n );
  
  	$scripts->add( 'comment-reply', "/wp-includes/js/comment-reply$suffix.js", false, '20090102');
  
  	$scripts->add( 'json2', "/wp-includes/js/json2$suffix.js", false, '2011-02-23');
  
! 	$scripts->add( 'imgareaselect', "/wp-includes/js/imgareaselect/jquery.imgareaselect$suffix.js", array('jquery'), '0.9.6-20110515', 1 );
  
! 	$scripts->add( 'password-strength-meter', "/wp-admin/js/password-strength-meter$suffix.js", array('jquery'), '20101027', 1 );
  	$scripts->localize( 'password-strength-meter', 'pwsL10n', array(
  		'empty' => __('Strength indicator'),
  		'short' => __('Very weak'),
***************
*** 262,319 ****
  		/* translators: password strength */
  		'good' => _x('Medium', 'password strength'),
  		'strong' => __('Strong'),
! 		'mismatch' => __('Mismatch'),
! 		'l10n_print_after' => 'try{convertEntities(pwsL10n);}catch(e){};'
  	) );
  
! 	$scripts->add( 'user-profile', "/wp-admin/js/user-profile$suffix.js", array( 'jquery', 'password-strength-meter' ), '20110628' );
! 	$scripts->add_data( 'user-profile', 'group', 1 );
  
! 	$scripts->add( 'admin-bar', "/wp-includes/js/admin-bar$suffix.js", false, '20110131' );
! 	$scripts->add_data( 'admin-bar', 'group', 1 );
  
! 	$scripts->add( 'wplink', "/wp-includes/js/tinymce/plugins/wplink/js/wplink$suffix.js", array( 'jquery', 'wpdialogs' ), '20110528' );
! 	$scripts->add_data( 'wplink', 'group', 1 );
  	$scripts->localize( 'wplink', 'wpLinkL10n', array(
  		'title' => __('Insert/edit link'),
  		'update' => __('Update'),
  		'save' => __('Add Link'),
  		'noTitle' => __('(no title)'),
! 		'noMatchesFound' => __('No matches found.'),
! 		'l10n_print_after' => 'try{convertEntities(wpLinkL10n);}catch(e){};',
  	) );
  
! 	$scripts->add( 'wpdialogs', "/wp-includes/js/tinymce/plugins/wpdialogs/js/wpdialog$suffix.js", array( 'jquery-ui-dialog' ), '20110528' );
! 	$scripts->add_data( 'wpdialogs', 'group', 1 );
  
! 	$scripts->add( 'wpdialogs-popup', "/wp-includes/js/tinymce/plugins/wpdialogs/js/popup$suffix.js", array( 'wpdialogs' ), '20110421' );
! 	$scripts->add_data( 'wpdialogs-popup', 'group', 1 );
  
  	if ( is_admin() ) {
  		$scripts->add( 'ajaxcat', "/wp-admin/js/cat$suffix.js", array( 'wp-lists' ), '20090102' );
  		$scripts->add_data( 'ajaxcat', 'group', 1 );
  		$scripts->localize( 'ajaxcat', 'catL10n', array(
  			'add' => esc_attr(__('Add')),
! 			'how' => __('Separate multiple categories with commas.'),
! 			'l10n_print_after' => 'try{convertEntities(catL10n);}catch(e){};'
  		) );
  
! 		$scripts->add( 'admin-categories', "/wp-admin/js/categories$suffix.js", array('wp-lists'), '20091201' );
! 		$scripts->add_data( 'admin-categories', 'group', 1 );
  
! 		$scripts->add( 'admin-tags', "/wp-admin/js/tags$suffix.js", array('jquery', 'wp-ajax-response'), '20110429' );
! 		$scripts->add_data( 'admin-tags', 'group', 1 );
  		$scripts->localize( 'admin-tags', 'tagsl10n', array(
  			'noPerm' => __('You do not have permission to do that.'),
! 			'broken' => __('An unidentified error has occurred.'),
! 			'l10n_print_after' => 'try{convertEntities(tagsl10n);}catch(e){};'
  		));
  
! 		$scripts->add( 'admin-custom-fields', "/wp-admin/js/custom-fields$suffix.js", array('wp-lists'), '20110429' );
! 		$scripts->add_data( 'admin-custom-fields', 'group', 1 );
  
! 		$scripts->add( 'admin-comments', "/wp-admin/js/edit-comments$suffix.js", array('wp-lists', 'jquery-ui-resizable', 'quicktags', 'jquery-query'), '20110602' );
! 		$scripts->add_data( 'admin-comments', 'group', 1 );
  		$scripts->localize( 'admin-comments', 'adminCommentsL10n', array(
  			'hotkeys_highlight_first' => isset($_GET['hotkeys_highlight_first']),
  			'hotkeys_highlight_last' => isset($_GET['hotkeys_highlight_last']),
--- 255,305 ----
  		/* translators: password strength */
  		'good' => _x('Medium', 'password strength'),
  		'strong' => __('Strong'),
! 		'mismatch' => __('Mismatch')
  	) );
  
! 	$scripts->add( 'user-profile', "/wp-admin/js/user-profile$suffix.js", array( 'jquery', 'password-strength-meter' ), '20110628', 1 );
  
! 	$scripts->add( 'admin-bar', "/wp-includes/js/admin-bar$suffix.js", false, '20111130', 1 );
  
! 	$scripts->add( 'wplink', "/wp-includes/js/wplink$suffix.js", array( 'jquery', 'wpdialogs' ), '20111128', 1 );
  	$scripts->localize( 'wplink', 'wpLinkL10n', array(
  		'title' => __('Insert/edit link'),
  		'update' => __('Update'),
  		'save' => __('Add Link'),
  		'noTitle' => __('(no title)'),
! 		'noMatchesFound' => __('No matches found.')
  	) );
  
! 	$scripts->add( 'wpdialogs', "/wp-includes/js/tinymce/plugins/wpdialogs/js/wpdialog$suffix.js", array( 'jquery-ui-dialog' ), '20110528', 1 );
  
! 	$scripts->add( 'wpdialogs-popup', "/wp-includes/js/tinymce/plugins/wpdialogs/js/popup$suffix.js", array( 'wpdialogs' ), '20110421', 1 );
! 
! 	$scripts->add( 'word-count', "/wp-admin/js/word-count$suffix.js", array( 'jquery' ), '20110515', 1 );
! 
! 	$scripts->add( 'media-upload', "/wp-admin/js/media-upload$suffix.js", array( 'thickbox' ), '20110930', 1 );
! 
! 	$scripts->add( 'hoverIntent', "/wp-includes/js/hoverIntent$suffix.js", array('jquery'), '20090102', 1 );
  
  	if ( is_admin() ) {
  		$scripts->add( 'ajaxcat', "/wp-admin/js/cat$suffix.js", array( 'wp-lists' ), '20090102' );
  		$scripts->add_data( 'ajaxcat', 'group', 1 );
  		$scripts->localize( 'ajaxcat', 'catL10n', array(
  			'add' => esc_attr(__('Add')),
! 			'how' => __('Separate multiple categories with commas.')
  		) );
  
! 		$scripts->add( 'admin-categories', "/wp-admin/js/categories$suffix.js", array('wp-lists'), '20091201', 1 );
  
! 		$scripts->add( 'admin-tags', "/wp-admin/js/tags$suffix.js", array('jquery', 'wp-ajax-response'), '20110429', 1 );
  		$scripts->localize( 'admin-tags', 'tagsl10n', array(
  			'noPerm' => __('You do not have permission to do that.'),
! 			'broken' => __('An unidentified error has occurred.')
  		));
  
! 		$scripts->add( 'admin-custom-fields', "/wp-admin/js/custom-fields$suffix.js", array('wp-lists'), '20110429', 1 );
  
! 		$scripts->add( 'admin-comments', "/wp-admin/js/edit-comments$suffix.js", array('wp-lists', 'quicktags', 'jquery-query'), '20111115', 1 );
  		$scripts->localize( 'admin-comments', 'adminCommentsL10n', array(
  			'hotkeys_highlight_first' => isset($_GET['hotkeys_highlight_first']),
  			'hotkeys_highlight_last' => isset($_GET['hotkeys_highlight_last']),
